Loading...
Searching...
No Matches
expressions.h File Reference

Common expressions, both linear and non-linear. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef Expression< double > | gtsam::Double_
typedef Expression< Vector1 > | gtsam::Vector1_
typedef Expression< Vector2 > | gtsam::Vector2_
typedef Expression< Vector3 > | gtsam::Vector3_
typedef Expression< Vector4 > | gtsam::Vector4_
typedef Expression< Vector5 > | gtsam::Vector5_
typedef Expression< Vector6 > | gtsam::Vector6_
typedef Expression< Vector7 > | gtsam::Vector7_
typedef Expression< Vector8 > | gtsam::Vector8_
typedef Expression< Vector9 > | gtsam::Vector9_

## Functions

template<typename T>
Expression< T > | gtsam::between (const Expression< T > &t1, const Expression< T > &t2)
template<typename T>
Expression< T > | gtsam::compose (const Expression< T > &t1, const Expression< T > &t2)

## Detailed Description

Common expressions, both linear and non-linear.

Date
  Nov 23, 2014

Author
  Frank Dellaert